Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 154925 - Wrong prompt in "Insert Record" dialog
Wrong prompt in "Insert Record" dialog
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: Show Data
6.x
All All
: P2 (vote)
: 6.x
Assigned To: _ ahimanikya
issues@db
65fixes2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-08 12:42 UTC by Roman Mostyka
Modified: 2009-02-19 20:38 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Screenshot of wrong prompt in "Insert Record" dialog. (74.85 KB, image/jpeg)
2008-12-08 12:44 UTC, Roman Mostyka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Mostyka 2008-12-08 12:42:00 UTC
1. Connect to some DB and expand it's node.
2. Rightclick "Tables" node and choose "Create Table...".
3. Set table name, column name, set VARCHAR for the column type, set "test" as default value and click "OK".
4. Rightclick created table and choose "View Data...".
5. Press "Insert Record" button.

Result: There is a string "Press Ctrl+0 to toggle setting NULL value and Ctrl+1 to toggle setting NULL value for a given
column" in this dialog. But when Ctrl+1 is pressed, <DEFAULT> is inserted. I think this string should look "Press Ctrl+0
to toggle setting NULL value and Ctrl+1 to toggle setting DEFAULT value for a given column".
Comment 1 Roman Mostyka 2008-12-08 12:43:00 UTC
Increase priority since this highly visible issue and it can mislead customer.
Comment 2 Roman Mostyka 2008-12-08 12:44:41 UTC
Created attachment 74688 [details]
Screenshot of wrong prompt in "Insert Record" dialog.
Comment 3 _ ahimanikya 2008-12-08 18:11:25 UTC
http://hg.netbeans.org/main/rev/a3abd4f1087c
Comment 4 Roman Mostyka 2008-12-09 09:51:49 UTC
Verified with build 081208.
Comment 5 pgebauer 2008-12-16 13:16:43 UTC
The fix has been ported into the release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/abbe790c3647



By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo